import request from '@/utils/request'

// 查询高新技术企业名单列表
export function listTech(query) {
  return request({
    url: '/basicData/xcrHighTech/findByPage',
    method: 'get',
    params: query
  })
}

// 查询高新技术企业名单详细
export function getTech(xhCodeId) {
  return request({
    url: '/basicData/xcrHighTech/' + xhCodeId,
    method: 'get'
  })
}

// 新增高新技术企业名单
export function addTech(data) {
  return request({
    url: '/basicData/xcrHighTech',
    method: 'post',
    data: data
  })
}

// 修改高新技术企业名单
export function updateTech(data) {
  return request({
    url: '/basicData/xcrHighTech',
    method: 'put',
    data: data
  })
}

// 删除高新技术企业名单
export function delTech(xhCodeId) {
  return request({
    url: '/basicData/xcrHighTech/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delTechBatch(ids) {
  return request.post('/basicData/xcrHighTech/delete',ids)
}
